package com.hammurapi.render.emf;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.gmf.runtime.notation.Diagram;

/**
 * Class which holds root packages of the model.
 * @author Pavel Vlasov
 *
 */
public class Model {
	
	private List<EObject> rootPackages = new ArrayList<EObject>();
	private List<Diagram> diagrams = new ArrayList<Diagram>();

	public List<EObject> getRootPackages() {
		return rootPackages;
	}
	
	public List<Diagram> getDiagrams() {
		return diagrams;
	}
}
